

#include "IRremote.h"

IRrecv irrecv(2); // указываем вывод, к которому подключен приемник
decode_results results;
//задаем переменные для попаданий 0
int damageblue = 0;
int damagegreen = 0;
int damagered = 0;
int damagewhite = 0;
int damagelimit = 40; // кол-во попаданий для победы
int timepause = 5000; // пауза между раундами

void setup() {
//  Serial.begin(9600); // выставляем скорость COM порта для отладки
  irrecv.enableIRIn(); // запускаем прием
  pinMode(A1, OUTPUT); //blue
  pinMode(A2, OUTPUT); //green
  pinMode(A3, OUTPUT); //red
 // pinMode A1,A2,A3 - white все три для rgb светодиодов
  pinMode(A4, OUTPUT); //end game
}


void loop() {
  if ( irrecv.decode( &results )) { // если данные пришли
//  Serial.println( results.value, HEX ); // печатаем данные для отладки
    if ( (results.value == 0x75C0FF8) || (results.value == 0xE05993FE) || (results.value == 0xE05993FD) || (results.value == 0x5371C298) ){ //blue
    digitalWrite( A2, LOW );
    digitalWrite( A3, LOW );
    damageblue ++;
    digitalWrite( A1, HIGH );
    }
    if ( (results.value == 0x98A027A0) || (results.value == 0x719DABA6) || (results.value == 0x719DABA4) || (results.value == 0xD60DBA24) ){ //green
    digitalWrite( A1, LOW );
    digitalWrite( A3, LOW );
    damagegreen ++;
    digitalWrite( A2, HIGH );
    }
    if ( (results.value == 0x1F424C98) ||  (results.value == 0xF83FD09E) || (results.value == 0xF83FD09D) || (results.value == 0x6B57FF38) ){ //red
    digitalWrite( A1, LOW );
    digitalWrite( A2, LOW );
    damagered ++;
    digitalWrite( A3, HIGH );
    }
    if ( (results.value == 0xDF30F054) || (results.value == 0xB82E745A) || (results.value == 0xB82E7459) || (results.value == 0x1C9E82D8) ){ //white
    damagewhite ++;
    digitalWrite( A1, HIGH );
    digitalWrite( A2, HIGH );
    digitalWrite( A3, HIGH );
    }
    if ( (damageblue >= damagelimit) ||  (damagegreen >= damagelimit) ||  (damagered >= damagelimit) ||  (damagewhite >= damagelimit) ) {
      digitalWrite( A4, HIGH );
      delay(timepause);
      digitalWrite( A4, LOW );
      digitalWrite( A1, LOW );
      digitalWrite( A2, LOW );
      digitalWrite( A3, LOW );
      damageblue = 0;
      damagegreen = 0;
      damagered = 0;
      damagewhite = 0;
      irrecv.resume();
    }
    else
    {
    irrecv.resume(); // принимаем следующую команду
    }
  }
}
